{
    attributes = (
        {
            columnName = ALIAS; 
            externalType = VARCHAR2; 
            name = alias; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (persId, alias); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOPersonneAlias"; 
    classProperties = (alias, dCreation, dModification, persId, toIndividus, toStructures); 
    externalName = "GRHUM.PERSONNE_ALIAS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (alias, dCreation, dModification, toIndividus, toStructures); 
        "_javaClientClassName" = "org.cocktail.fwkcktlpersonne.common.metier.EOPersonneAlias"; 
        "_nameInObjectStore" = "PERSONNE_ALIAS"; 
    }; 
    name = "Fwkpers_PersonneAlias"; 
    primaryKeyAttributes = (persId, alias); 
    relationships = (
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toIndividus; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toStructures; 
        }
    ); 
}
